gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.CellRendererText Renders a combobox in a cell renders text in a cell like from which it is derived. But while offers a simple entry to edit the text, offers a or widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property. The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its text-column property. Further cell renderers can be added in a handler for the editing-started signal.
- Constructor
  Default constructor
- Constructor
  a
  Internal constructor
  This is not typically used by C# code.
- Event
  GLib.Signal("changed")
  Gtk.ChangedHandler To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("has-entry")
  System.Boolean Whether to use an entry. a If , the cell renderer will include an entry and allow to enter values other than the ones in the popup list.
- Property
  GLib.Property("model")
  Gtk.ITreeModel Holds a tree model containing the possible values for the combo box. a Use the property to specify the column holding the values.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gtk.CellRendererCombo))
  System.Void `` `` To be added. To be added. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("text-column")
  System.Int32 Specifies the model column which holds the possible values for the combo box. a

  this refers to the model specified in the model property, not the model backing the tree view to which this cell renderer is attached.

  automatically adds a text cell renderer for this column to its combo box.